GET /api/endpoint/action/{action_id}

Spaces method and path for this operation:

get /s/{space_id}/api/endpoint/action/{action_id}

Refer to Spaces for more information.

Get the details of a response action using the action ID.

Path parameters

  • action_id string Required

    The ID of the response action to retrieve.

Responses

  • 200 application/json

    OK

    One of:
GET /api/endpoint/action/{action_id}
curl \
 --request GET 'https://<KIBANA_URL>/api/endpoint/action/fr518850-681a-4y60-aa98-e22640cae2b8' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "data": {
    "agents": [
      "ed518850-681a-4d60-bb98-e22640cae2a8"
    ],
    "agentType": "endpoint",
    "command": "isolate",
    "completedAt": "2022-08-08T10:41:57.352Z",
    "createdBy": "elastic",
    "id": "233db9ea-6733-4849-9226-5a7039c7161d",
    "isCompleted": true,
    "isExpired": false,
    "startedAt": "2022-08-08T15:23:37.359Z",
    "wasSuccessful": true
  }
}